Package org.apache.sysds.runtime.controlprogram

# Enum Class ParForProgramBlock.PResultMerge

java.lang.Object
java.lang.Enum<ParForProgramBlock.PResultMerge>
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PResultMerge

All Implemented Interfaces:
  `Serializable`, `Comparable<ParForProgramBlock.PResultMerge>`, `Constable`

Enclosing class:
  ParForProgramBlock

public static enum ParForProgramBlock.PResultMerge extends Enum<ParForProgramBlock.PResultMerge>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LOCAL_AUTOMATIC`
`LOCAL_FILE`
`LOCAL_MEM`
`REMOTE_SPARK`
`UNSPECIFIED`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLocal()`
`static ParForProgramBlock.PResultMerge`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.PResultMerge[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LOCAL_MEM

public static final ParForProgramBlock.PResultMerge LOCAL_MEM

### LOCAL_FILE

public static final ParForProgramBlock.PResultMerge LOCAL_FILE

### LOCAL_AUTOMATIC

public static final ParForProgramBlock.PResultMerge LOCAL_AUTOMATIC

### REMOTE_SPARK

public static final ParForProgramBlock.PResultMerge REMOTE_SPARK

### UNSPECIFIED

public static final ParForProgramBlock.PResultMerge UNSPECIFIED

## Method Details

### values

public static ParForProgramBlock.PResultMerge[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParForProgramBlock.PResultMerge valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isLocal

public boolean isLocal()